alias eggmgr dialog -m eggmgr3 eggmgr3
alias telnet run $scriptdirputtytel.exe $1 $2

on *:LOAD:echo -a *** Eggdrop Manager (v3.0): LOADED (Type /eggmgr to open)

menu menubar {
  Eggdrop Manager:eggmgr
}
menu channel {
  Eggdrop Manager:eggmgr
}

dialog eggmgr3 {
  title "Eggdrop Manager"
  size -1 -1 173 100
  option dbu
  list 2, 0 0 90 78, sort size extsel vsbar
  text "Nickname:", 3, 92 3 25 8
  edit "", 4, 121 2 50 10, autohs
  text "Host / IP:", 5, 92 14 25 8
  edit "", 6, 121 13 50 10, autohs
  text "Port:", 7, 92 25 25 8
  edit "3333", 8, 121 24 30 10
  button "Get Host", 9, 92 35 25 11
  button "+", 10, 145 35 12 11
  button "-", 11, 159 35 12 11
  box "Connect", 12, 92 47 80 31
  radio "DCC", 13, 96 55 32 10
  radio "Telnet", 14, 136 55 32 10, hide
  button "Connect", 15, 96 66 34 9
  button "Connect All", 16, 133 66 34 9
  icon 17, 4 84 14 14, $scriptdireggmgr\no.gif, 0, hide noborder
  box "Status", 18, 2 78 170 20
  text "", 19, 18 87 98 8
  link "Download PuttyTel", 20, 120 87 48 8, hide
  button "Reset", 1, 119 35 24 11
}
dialog eggmgr3pt {
  title "Eggdrop Manager"
  size -1 -1 131 55
  option dbu
  text "Click the following link and save the file to:", 1, 4 5 115 8
  text "", 2, 4 18 115 18
  link "Download PuttyTel", 3, 4 40 115 8
}

on *:DIALOG:eggmgr3:init:0:{
  var $scriptdireggmgr\eggmgr.dat = $scriptdireggmgr\eggmgr.dat
  did -f $dname 4
  if (!$exists($scriptdireggmgr\eggmgr.dat)) { did -v $dname 17 | did -o $dname 19 1 Error: Database Not Found. | halt }
  if ($lines($scriptdireggmgr\eggmgr.dat) >= 1) {
    var %lines = $lines($scriptdireggmgr\eggmgr.dat), %u = 1
    while (%u <= %lines) {
      did -a $dname 2 $gettok($read($scriptdireggmgr\eggmgr.dat,%u),1,44)
      inc %u
    }
  }
  if ($findfile($scriptdireggmgr, puttytel.exe, 1)) { did -v $dname 14 }
  else { did -o $dname 19 1 Puttytel not found! | did -v $dname 17 | did -v $dname 20 | halt }
  did -c $dname 13
  did -g $dname 17 $shortfn($scriptdireggmgr\yes.gif)
  did -v $dname 17
  did -o $dname 19 1 Eggdrop Manager loaded successfully!
}
on *:DIALOG:eggmgr3:sclick:1:{
  did -o $dname 4 1
  did -o $dname 6 1
  did -o $dname 8 1
}
on *:DIALOG:eggmgr3:sclick:2:{
  var %nick $did($dname,2).seltext
  did -o $dname 4 1 %nick
  if ($gettok($read($scriptdireggmgr\eggmgr.dat, w, * $+ %nick $+ *),2,44)) {
    did -o $dname 6 1 $gettok($read($scriptdireggmgr\eggmgr.dat, w, * $+ %nick $+ *),2,44)
    did -o $dname 8 1 $gettok($read($scriptdireggmgr\eggmgr.dat, w, * $+ %nick $+ *),3,44)
  }
}
on *:DIALOG:eggmgr3:sclick:9:{
  if (!$did($dname,4)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Nickname Specified. | halt }
  var %nick = $did($dname,4)
  .quote who %nick
  if (!$gettok($address(%nick,2),2,64)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: Could not get %nick $+ 's host/IP. | halt }
  did -o $dname 6 1 $gettok($address(%nick,2),2,64)
}
on *:DIALOG:eggmgr3:sclick:10:{
  if (!$did($dname,4)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Nickname Specified. | halt }
  if (!$did($dname,6)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Host/IP Specified. | halt }
  if (!$did($dname,8)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Port Specified. | halt }
  if ($read($scriptdireggmgr\eggmgr.dat, w, * $+ $did($dname,4) $+ *)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: Nickname Already Exists. | halt }
  write $shortfn($scriptdireggmgr\eggmgr.dat) $did($dname,4) $+ , $+ $did($dname,6) $+ , $+ $did($dname,8)
  did -a $dname 2 $did($dname,4).text
  did -g $dname 17 $shortfn($scriptdireggmgr\yes.gif)
  did -v $dname 17
  did -o $dname 19 1 Added: $did($dname,4)
  did -r $dname 4,6,8
}
on *:DIALOG:eggmgr3:sclick:11:{
  if ($did($dname,2).seltext == $null) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Nickname Selected. | halt }
  write -dw $+ $did($dname,4) $+ * $shortfn($scriptdireggmgr\eggmgr.dat)
  did -g $dname 17 $shortfn($scriptdireggmgr\yes.gif)
  did -v $dname 17
  did -o $dname 19 1 Deleted: $did($dname,2).seltext
  did -d $dname 2 $did($dname,2).sel
  did -r $dname 4,6,8
}
on *:DIALOG:eggmgr3:sclick:15:{
  if ($did($dname,2).seltext == $null) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Nickname Selected. | halt }
  if (($did($dname,13).state == 0) && ($did($dname,14).state == 0)) { did -g $dname 17 $shortfn($scriptdireggmgr\no.gif) | did -v $dname 17 | did -o $dname 19 1 Error: No Connection Method Specified. | halt }
  if ($did($dname,13).state == 1) { dcc chat $did($dname,2).seltext }
  if ($did($dname,14).state == 1) { run $scriptdireggmgr\puttytel.exe $did($dname,6) $did($dname,8) }
}
on *:DIALOG:eggmgr3:sclick:16:{
  var %nicks = $lines($scriptdireggmgr\eggmgr.dat), %u = 1
  while (%u <= %nicks) {
    if ($did($dname,13).state == 1) { dcc chat $gettok($read($scriptdireggmgr\eggmgr.dat,%u),1,44) }
    if ($did($dname,14).state == 1) { run $scriptdireggmgr\puttytel.exe $gettok($read($scriptdireggmgr\eggmgr.dat,%u),2,44) $gettok($read($scriptdireggmgr\eggmgr.dat,%u),3,44) }
    inc %u
  }
}

on *:DIALOG:eggmgr3:sclick:20:dialog -m eggmgr3pt eggmgr3pt
on *:DIALOG:eggmgr3pt:init:0:did -o $dname 2 1 $scriptdireggmgr
on *:DIALOG:eggmgr3pt:sclick:3:run http://the.earth.li/~sgtatham/putty/latest/x86/puttytel.exe